Summary: A small and secure web server
Name: appweb
Version: 2.2.2
Release: 5
Group: System Environment/Daemons
License: Dual GPL/commercial
URL: http://www.mbedthis.com/appweb
Distribution: Mbedthis
Vendor: Mbedthis Software
Source: http://www.mbedthis.com/software/appweb-src-%{version}-5.tar.gz
Patch: appweb-2.2.2-eldk.patch
BuildRoot: %{_tmppath}/%{name}-root
AutoReqProv: no

%description
Mbedthis AppWeb is the industry's first embedded web server 
that has been designed from the start with security in mind. 
It is a fast, small-footprint, standards based embedded web 
server specifically designed for use by applications and 
embedded devices.

%package devel
Summary: Development files for appweb
Group: Development/Libraries

%description devel
Development files for DirectFB.

%prep
%setup -q -n %{name}-src-%{version}
%patch -p1

%build
BLD_CC_FOR_BUILD="/usr/bin/gcc -B/usr/bin/" \
BLD_STRIP_FOR_BUILD=/usr/bin/strip \
./configure --host=%{_target_platform} --type=RELEASE --enable-shared \
--with-openssl=loadable --with-openssl-libs="ssl crypto" --disable-multi-thread

rm -f bin/bldout
make

%install
make ROOT_DIR=$RPM_BUILD_ROOT install-binary
make ROOT_DIR=$RPM_BUILD_ROOT install-release
make ROOT_DIR=$RPM_BUILD_ROOT install-dev

#install docs
for i in `cat doc/file.list`; do
	mkdir -p $RPM_BUILD_ROOT/usr/share/doc/appweb/doc/`dirname $i`
	cp doc/$i $RPM_BUILD_ROOT/usr/share/doc/appweb/doc/`dirname $i`
done

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%config(noreplace,missingok)    /etc/appweb/appweb.conf
/etc/appweb/groups.db
/etc/appweb/mime.types
/etc/appweb/server.crt
/etc/appweb/server.key
/etc/appweb/server.key.pem
/etc/appweb/users.db
/etc/init.d/*
/etc/rc.d/*
/usr/*
/var/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/appweb/

%changelog
* Fri Aug 31 2007 Alexander Yurtsev <alex@sisyphus.denx.de>
- Updated to version 2.2.2

* Fri Sep 17 2004 Wolfgang Denk <wd@denx.de>
- SSL module configuration enabled.

* Thu Sep 16 2004 Wolfgang Denk <wd@denx.de>
- Fixed non-portable code (va_list assignments).

* Tue Aug 31 2004 Wolfgang Denk <wd@denx.de>
- Create.
